/* $Id$ */
/*-----------------------------------------------------*/
/*     Name:               version.h                   */
/*-----------------------------------------------------*/
/*  Aufgabe: Versionsinformationen                     */
/*-----------------------------------------------------*/
/*   Copyright (C) 1995 - 2003 by Michael Schroeder    */
/*-----------------------------------------------------*/

/*
 * LIBCALENDAR is distributed under the GNU GENERAL PUBLIC LICENSE (GPL)
 * Version 2 (June 1991). See the "COPYING" file distributed with this
 * software for more info.
 */

#define NAME		"CALENDAR"
#define PROGRAM		"calendar"
#define MAJOR		1
#define MINOR		0
#define REVISION	1
#define FILEVER		"1.0.1 (" __DATE__ ")" 
#define PRODVER		"1.0"

#ifndef __DATE__
# define __DATE__	"2003 June 23"
#endif

#define COPYRIGHT	"(c) 1995 - 2003 Michael Schroeder <mdhs@imsch.de>"
#define LICENSE		"GNU GENERAL PUBLIC LICENSE (GPL)"
#define COMPANY		"imsch private software"
#define PRODUCT		"imsch calendar"
#define DESCRIPTION	"StarOffice calendar addin"
#define PRODUCT_DE	"imsch Kalender"
#define DESCRIPTION_DE	"StarOffice Kalender-Addin"

#ifdef ARCH_i686
# define __ARCH__	"i686"
#elif ARCH_i586
# define __ARCH__	"i586"
#elif ARCH_i486
# define __ARCH__	"i486"
#else
# define __ARCH__	"i386"
#endif

#ifdef ARCH_MMX
# define __MMX__	" MMX"
#else
# define __MMX__	""
#endif

#ifdef ARCH_SSE
# define __SSE__	" SSE" 
#else
# define __SSE__	""
#endif
#ifdef ARCH_SSE2
# undef __SSE__
# define __SSE__	" SSE2"
#endif

#ifdef ARCH_3DNOW
# define __3DNOW__	" 3DNow" 
#else
# define __3DNOW__	""
#endif
#ifdef ARCH_3DNOWEXT
# undef __3DNOW__ 
# define __3DNOW__	" 3DNow2" 
#endif

#ifdef ARCH_CYRIX
# define __CYRIX__	" Cyrix" 
#else
# define __CYRIX__	""
#endif

#define MACHINE		__ARCH__ __MMX__ __SSE__ __3DNOW__ __CYRIX__

#ifdef __GNUC__
# define COMPILER	"gcc " __VERSION__
#else
# define COMPILER	"unknown"
#endif
#ifndef OPTFLAGS
# define OPTFLAGS	"unknown"
#endif


#define BLOCK_ALL	"000004b0"
#define BLOCK_DE	"040704b0"
#define BLOCK_EN	"040904b0"
#define TRANSLATION_ALL	0x0000, 0x04b0,
#define TRANSLATION_DE	0x0407, 0x04b0,
#define TRANSLATION_EN	0x0409, 0x04b0,

#define STREND		"\0"

#ifdef __EMX__
# define LIBPRO	""
# define LIBEXT	".dll"
# define EXEEXT	".exe"
#else
# define LIBPRO	"lib"
# define LIBEXT	".so"
# define EXEEXT	""
#endif

#define BUILD		((((MAJOR << 8) | MINOR) << 8) | REVISION)

typedef enum
{
  VER_BUILD,
  VER_NAME,
  VER_FILENAME,
  VER_FILEVERSION,
  VER_COPYRIGHT,
  VER_COMPANY,
  VER_DESCRIPTION,
  VER_PRODUCT,
  VER_MACHINE,
  VER_COMPILER,
  VER_OPTFLAGS,
} VERSIONINFORMATION;


typedef struct _XSTRING
{
  unsigned long  len;
  char          *ptr; 
} XSTRING, *pXSTRING;

const char *versioninfo(int info);

long VERSIONINFO(const char *name, long argc, const XSTRING argv[],
             const char *queue, pXSTRING ret);
